Update assignment, status (not COMPLETED/CANCELLED), notes or intermediate result of a work item
curl --request PATCH \
--url https://api.semicola.com/api/v2/storefront/inventory-sources/{id}/modular/work-items/{workItemId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assignedTo": "<string>",
"blockedReason": "<string>",
"result": {},
"notes": "<string>"
}
'import requests
url = "https://api.semicola.com/api/v2/storefront/inventory-sources/{id}/modular/work-items/{workItemId}"
payload = {
"assignedTo": "<string>",
"blockedReason": "<string>",
"result": {},
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assignedTo: '<string>',
blockedReason: '<string>',
result: {},
notes: '<string>'
})
};
fetch('https://api.semicola.com/api/v2/storefront/inventory-sources/{id}/modular/work-items/{workItemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"ok": true,
"item": {
"id": "<string>",
"storefrontId": "<string>",
"inventorySourceId": "<string>",
"moduleId": "<string>",
"kind": "APPROVE_MEDIA_BUY",
"title": "<string>",
"description": "<string>",
"status": "OPEN",
"priority": "LOW",
"resourceType": "<string>",
"resourceId": "<string>",
"mediaBuyId": "<string>",
"buyerCustomerId": 0,
"assignedTo": "<string>",
"dueAt": "<string>",
"blockedReason": "<string>",
"createdByType": "<string>",
"createdById": "<string>",
"completedBy": "<string>",
"completedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"payload": {},
"result": {}
},
"changed": true
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Inventory Sources
Update assignment, status (not COMPLETED/CANCELLED), notes or intermediate result of a work item
PATCH
/
api
/
v2
/
storefront
/
inventory-sources
/
{id}
/
modular
/
work-items
/
{workItemId}
Update assignment, status (not COMPLETED/CANCELLED), notes or intermediate result of a work item
Authorizations
bearerAuthsessionCookie
API key or OAuth access token.
Path Parameters
Minimum string length:
1Minimum string length:
1Body
application/json